package logic

import (
	"context"
	"jyBXCore/rpc/internal/svc"
	"jyBXCore/rpc/service"
	"jyBXCore/rpc/type/bxcore"

	"github.com/zeromicro/go-zero/core/logx"
)

type ParticipateListLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewParticipateListLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ParticipateListLogic {
	return &ParticipateListLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 我的参标项目列表|企业参标项目列表
func (l *ParticipateListLogic) ParticipateList(in *bxcore.ParticipateListReq) (*bxcore.ParticipateListRes, error) {
	return service.ParticipateList(in)
}
